%define languageenglazy Irish
%define languagecode    ga
%define lc_ctype        ga_IE

Name:           hunspell-%{languagecode}
Version:        4.6
Release:        %mkrel 7
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            http://borel.slu.edu/ispell/index.html
Source0:        http://gaelspell.googlecode.com/files/ispell-gaeilge-%{version}.tar.gz
Source1:        myspell-header
Source2:        hunspell-header
Patch0:         ispell-gaeilge-4.2-buildhunspell.patch

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-ga
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n ispell-gaeilge-%{version}
%patch0 -p1 -b .buildhunspell.patch

%build
make
cat %{_sourcedir}/myspell-header %{_sourcedir}/hunspell-header > header
export LANG=en_IE.UTF-8
ispellaff2myspell gaeilge.aff --myheader header | sed -e "s/\"\"/0/g" | sed -e "s/\"//g" > ga_IE.aff

%install
install -D -m 0644 -p ga_IE.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p ga_IE.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README COPYING ChangeLog
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 4.6-7.mga4
+ Revision: 505517
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 4.6-6.mga3
+ Revision: 353478
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 4.6-5.mga3
+ Revision: 325300
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 4.6-4.mga2
+ Revision: 224654
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 4.6-3.mga2
+ Revision: 207761
- use better obsoleting of myspell

* Wed Jan 18 2012 kamil <kamil> 4.6-2.mga2
+ Revision: 197726
- adapt .spec to the current policies

* Thu Jul 07 2011 ahmad <ahmad> 4.6-1.mga2
+ Revision: 119781
- Update to 4.6

* Sat Mar 12 2011 dmorgan <dmorgan> 4.5-2.mga1
+ Revision: 68789
- imported package hunspell-ga


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 31 2010 Caolán McNamara <caolanm@redhat.com> - 4.5-1
- latest version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Aug 05 2008 Caolán McNamara <caolanm@redhat.com> - 4.4-1
- latest version

* Wed Mar 05 2008 Caolán McNamara <caolanm@redhat.com> - 4.3-3
- build the .aff from gaeilge.aff and ispellaff2myspell

* Tue Mar 04 2008 Caolán McNamara <caolanm@redhat.com> - 4.3-2
- update to latest .aff

* Mon Nov 05 2007 Caolán McNamara <caolanm@redhat.com> - 4.3-1
- latest version

* Mon Aug 20 2007 Caolán McNamara <caolanm@redhat.com> - 4.2-1
- bump to latest upstream

* Fri Aug 03 2007 Caolán McNamara <caolanm@redhat.com> - 0.20060731-2
- clarify license version

* Thu Dec 07 2006 Caolán McNamara <caolanm@redhat.com> - 0.20060731-1
- initial version
